CHICKEN-INSTALL(1)

NAME
chicken-install - download and install extension libraries for Chicken Scheme

SYNOPSIS
chicken-install [OPTION | EXTENSION[:VERSION]] ...

DESCRIPTION
chicken-install is a program that downloads, compiles and installs a prepackaged extension library from sources. If no extension name is given on the command-line, then any existing setup scripts in the current directory will be executed in some unspecified order.

OPTIONS
Enter chicken-install -help for a list of supported command-line options.

ENVIRONMENT VARIABLES

CHICKEN_PREFIX
    The installation prefix where CHICKEN Scheme and its support files and libraries are located. Defaults to the installation time prefix given when configuring the system.

CHICKEN_INSTALL_PREFIX
    An alternative installation prefix that will be prepended to extension installation paths if specified.

CHICKEN_REPOSITORY
    The path where extension libraries are installed. Defaults to the package-library path selected during configuration (usually $prefix/lib/chicken/<binary-version> )

DOCUMENTATION
More information can be found in the Chicken User's Manual

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org , preferrably using the chicken-bug tool.

AUTHORS
The CHICKEN Team

SEE ALSO
chicken-uninstall(1) chicken-status(1) chicken(1) csc(1) chicken-bug(1)